org.apache.tinkerpop.gremlin.driver.ser.binary

## Class TypeSerializerRegistry

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.binary.TypeSerializerRegistry

-     public class TypeSerializerRegistry
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TypeSerializerRegistry.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeSerializerRegistry` | `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeSerializerRegistry.Builder` | `build()`
    `<DT> TypeSerializer<DT>` | `getSerializer(Class<DT> type)`
    `<DT> TypeSerializer<DT>` | `getSerializer(DataType dataType)`
    `<DT> CustomTypeSerializer<DT>` | `getSerializerForCustomType(String name)` Gets the serializer for a given custom type name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final TypeSerializerRegistry INSTANCE

  - ### Method Detail

    - #### build

          public static TypeSerializerRegistry.Builder build()

    - #### getSerializer

          public <DT> TypeSerializer<DT> getSerializer(Class<DT> type)
                                                throws SerializationException

      Throws:
        `SerializationException`

    - #### getSerializer

          public <DT> TypeSerializer<DT> getSerializer(DataType dataType)
                                                throws SerializationException

      Throws:
        `SerializationException`

    - #### getSerializerForCustomType

          public <DT> CustomTypeSerializer<DT> getSerializerForCustomType(String name)
                                                                   throws SerializationException

      Gets the serializer for a given custom type name.
      Throws:
        `SerializationException`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.